com.saxonica.pull

## Class DocumentEventIgnorer

- java.lang.Object
- - net.sf.saxon.pull.PullFilter
  - - com.saxonica.pull.DocumentEventIgnorer

- All Implemented Interfaces:
    PullProvider

      public class DocumentEventIgnorer
      extends PullFilter

  This is a filter that can be added to a pull pipeline to remove START_DOCUMENT and END_DOCUMENT events.

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.pull.PullFilter

      `currentEvent`

    - ### Fields inherited from interface net.sf.saxon.pull.PullProvider

      `ATOMIC_VALUE, ATTRIBUTE, COMMENT, END_DOCUMENT, END_ELEMENT, END_OF_INPUT, NAMESPACE, PROCESSING_INSTRUCTION, START_DOCUMENT, START_ELEMENT, START_OF_INPUT, TEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentEventIgnorer(PullProvider base)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `next()` Get the next event.

    - ### Methods inherited from class net.sf.saxon.pull.PullFilter

      `close, current, getAtomicValue, getAttributes, getFingerprint, getNameCode, getNamePool, getNamespaceDeclarations, getPipelineConfiguration, getSchemaType, getSourceLocator, getStringValue, getUnderlyingProvider, getUnparsedEntities, setPipelineConfiguration, skipToMatchingEnd`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentEventIgnorer

          public DocumentEventIgnorer(PullProvider base)

  - ### Method Detail

    - #### next

          public int next()
                   throws XPathException

      Get the next event.

      Note that a subclass that overrides this method is responsible for ensuring that current() works properly. This can be achieved by setting the field currentEvent to the event returned by any call on next().

      Specified by:
        `next` in interface `PullProvider`
      Overrides:
        `next` in class `PullFilter`
      Returns:
        an integer code indicating the type of event. The code `PullProvider.END_OF_INPUT` is returned at the end of the sequence.
      Throws:
        `XPathException` - if a dynamic error occurs

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.